"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCommonQwikDependencies = void 0;
const devkit_1 = require("@nx/devkit");
const versions_1 = require("./versions");
function addCommonQwikDependencies(host) {
    return (0, devkit_1.addDependenciesToPackageJson)(host, {}, {
        '@builder.io/qwik': versions_1.qwikVersion,
        '@builder.io/qwik-city': versions_1.qwikCityVersion,
        '@types/node': versions_1.typesNodeVersion,
        'eslint-plugin-qwik': versions_1.qwikEslintPluginVersion,
        vite: versions_1.viteVersion,
        vitest: versions_1.vitestVersion,
        'vite-tsconfig-paths': versions_1.viteTsconfigPathsVersion,
        'node-fetch': versions_1.nodeFetchVersion,
        undici: versions_1.undiciVersion,
    });
}
exports.addCommonQwikDependencies = addCommonQwikDependencies;
//# sourceMappingURL=add-common-qwik-dependencies.js.map