"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInstalledNxVersion = void 0;
const devkit_1 = require("@nx/devkit");
function readNxVersion(packageJson) {
    var _a, _b, _c, _d, _e, _f, _g;
    return ((_f = (_d = (_b = (_a = packageJson === null || packageJson === void 0 ? void 0 : packageJson.devDependencies) === null || _a === void 0 ? void 0 : _a['nx']) !== null && _b !== void 0 ? _b : (_c = packageJson === null || packageJson === void 0 ? void 0 : packageJson.dependencies) === null || _c === void 0 ? void 0 : _c['nx']) !== null && _d !== void 0 ? _d : (_e = packageJson === null || packageJson === void 0 ? void 0 : packageJson.devDependencies) === null || _e === void 0 ? void 0 : _e['@nx/workspace']) !== null && _f !== void 0 ? _f : (_g = packageJson === null || packageJson === void 0 ? void 0 : packageJson.dependencies) === null || _g === void 0 ? void 0 : _g['@nx/workspace']);
}
function getInstalledNxVersion(tree) {
    const pkgJson = (0, devkit_1.readJson)(tree, 'package.json');
    const version = readNxVersion(pkgJson);
    if (version) {
        return version;
    }
    throw new Error('Could not resolve nx version from the package.json');
}
exports.getInstalledNxVersion = getInstalledNxVersion;
//# sourceMappingURL=get-installed-nx-version.js.map