export interface EnsureImport {
    defaultImport?: string;
    namedImports?: string[];
    importPath: string;
}
export interface ViteConfigUpdates {
    imports?: EnsureImport[];
    viteConfig?: {
        [key: string]: string;
    };
    vitePlugins?: string[];
    qwikViteConfig?: {
        [key: string]: string;
    };
}
export declare function updateViteConfig(sourceText: string, updates?: ViteConfigUpdates): string;
