"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hostGenerator = exports.remoteGenerator = exports.setupTailwindGenerator = exports.routeGenerator = exports.libraryGenerator = exports.cloudflarePagesIntegrationGenerator = exports.qwikInitGenerator = exports.addE2eProject = exports.componentGenerator = exports.appGenerator = void 0;
var generator_1 = require("./application/generator");
Object.defineProperty(exports, "appGenerator", { enumerable: true, get: function () { return generator_1.appGenerator; } });
var generator_2 = require("./component/generator");
Object.defineProperty(exports, "componentGenerator", { enumerable: true, get: function () { return generator_2.componentGenerator; } });
var generator_3 = require("./e2e-project/generator");
Object.defineProperty(exports, "addE2eProject", { enumerable: true, get: function () { return generator_3.addE2eProject; } });
var init_1 = require("./init/init");
Object.defineProperty(exports, "qwikInitGenerator", { enumerable: true, get: function () { return init_1.qwikInitGenerator; } });
var generator_4 = require("./integrations/cloudflare-pages-integration/generator");
Object.defineProperty(exports, "cloudflarePagesIntegrationGenerator", { enumerable: true, get: function () { return generator_4.cloudflarePagesIntegrationGenerator; } });
var generator_5 = require("./library/generator");
Object.defineProperty(exports, "libraryGenerator", { enumerable: true, get: function () { return generator_5.libraryGenerator; } });
var generator_6 = require("./route/generator");
Object.defineProperty(exports, "routeGenerator", { enumerable: true, get: function () { return generator_6.routeGenerator; } });
var setup_tailwind_1 = require("./setup-tailwind/setup-tailwind");
Object.defineProperty(exports, "setupTailwindGenerator", { enumerable: true, get: function () { return setup_tailwind_1.setupTailwindGenerator; } });
var generator_7 = require("./remote/generator");
Object.defineProperty(exports, "remoteGenerator", { enumerable: true, get: function () { return generator_7.remoteGenerator; } });
var generator_8 = require("./host/generator");
Object.defineProperty(exports, "hostGenerator", { enumerable: true, get: function () { return generator_8.hostGenerator; } });
//# sourceMappingURL=index.js.map