import { GeneratorCallback, Tree } from '@nx/devkit';
export interface ReactInitSchema {
    demoFilePath: string;
    installMUIExample: boolean;
    projectRoot: string;
}
export declare function addReactPluginToViteConfig(tree: Tree, projectRoot: string): void;
/**
 * - adds react example component (either MUI or plain react one)
 * - installs neccessary dependencies
 */
export declare function reactInit(tree: Tree, options: ReactInitSchema): GeneratorCallback;
