"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFormattedListChanges = void 0;
function getFormattedListChanges(tree, previous) {
    let formatted = [...tree.listChanges()]
        .sort((a, b) => a.path.localeCompare(b.path))
        .map((c) => ({ path: c.path, type: c.type }));
    if (previous) {
        formatted = formatted.filter((f) => !previous.some((p) => p.path === f.path && p.type === f.type));
    }
    return formatted;
}
exports.getFormattedListChanges = getFormattedListChanges;
//# sourceMappingURL=testing-generators.js.map